Bug 869628 - [Scalability] Only 1007 Data Center's Logical Networks appear in webadmin
[Scalability] Only 1007 Data Center's Logical Networks appear in webadmin
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: lpeer
Pavel Stehlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 08:42 EDT by Rami Vaknin
Modified: 2016-02-10 14:46 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-29 06:16:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (22.58 KB, application/x-tar)
2012-10-24 08:42 EDT, Rami Vaknin
no flags Details

  None (edit)
Description Rami Vaknin 2012-10-24 08:42:15 EDT
Created attachment 632759 [details]
Screenshot

Version:
si22

Scenario:
I've created few thousands of non-vlan networks in a data center, it seems like only 1007 of them appear in webadmin=>Data Centers main tab=>Logical Networks sub tab.

In addition, there are no prev/next buttons so I can't edit all the other networks.
Comment 1 Simon Grinberg 2012-10-24 09:12:14 EDT
Not sure if there is any relation to the fact they are not VLAN tagged, looks like scroll buffer limit or something. 

In the documentation we actually say that the limit per host is 4096 + number of NICs. Per cluster basically the same and data center may have multiple clusters where logical networks may not be the same. 

So the limit should be much higher.
But I'm not sure that a huge scroll down is the solution to present these - we may need filter on this subtab.
Comment 2 Rami Vaknin 2012-10-26 03:02:28 EDT
(In reply to comment #1)
> Not sure if there is any relation to the fact they are not VLAN tagged,
> looks like scroll buffer limit or something. 

I've added also 4096 vlan networks to the same env and I still see only 1007 networks, so it's probably not related to vlan/non-vlan.
> 
> In the documentation we actually say that the limit per host is 4096 +
> number of NICs. Per cluster basically the same and data center may have

Limit per host should be "4096 + number of NICs - 1" since in the worse case when you attach all 4096 vlan networks to the same nic in host with n nics, you left with n-1 nics to attach networks to.

> multiple clusters where logical networks may not be the same. 
> 
> So the limit should be much higher.

Theoretically, the limit should be number of supported clusters per data center times the max number of networks per cluster, but practically I think that this number should be limited to much lower limit - based of a max number of lines that the relevant database table can have withour making webadmin stuck on every query.

> But I'm not sure that a huge scroll down is the solution to present these -
> we may need filter on this subtab.

filer/paging.
Comment 3 lpeer 2012-10-29 07:56:20 EDT
Moving for future version, no resources and currently low priority.
In addition network main tab should give a work-around for the above.
Comment 4 Itamar Heim 2013-12-29 06:16:48 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.